using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.IO;
using Word = Microsoft.Office.Interop.Word;

public class StreamTest : MonoBehaviour
{
    public string input = "123";
    public string output = "";
    public string filePath = @"C:\UnityPJ\SaveToWord\test.txt";



    void Update()
    {
        if (Input.GetKeyDown("r"))
        {
            WriteFile(filePath);
        }
        if (Input.GetKeyDown("f"))
        {
            ReadFile(filePath);
        }
    }

    void WriteFile(string filepathIncludingFileName)
    {
        Debug.Log("");

        StreamWriter sw = new StreamWriter(filepathIncludingFileName);
        sw.WriteLine(input);
        sw.Flush();
        sw.Close();
    }

    void ReadFile(string filepathIncludingFileName)
    {
        Debug.Log("");

        
        Word.Application app = new Word.Application();
        app.Documents.Open(filePath);
        app.ActiveDocument.Close();
        app.Quit();

        System.Diagnostics.Process.Start(filePath);


        StreamReader sr = new StreamReader(filepathIncludingFileName);


        output = sr.ReadLine();

        Debug.Log(output);
        
        sr.Close();
    }
}
